Bug 1000709 - Constant reactived 'fprint'
Constant reactived 'fprint'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fprintd (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 09:13 EDT by Soulkey
Modified: 2016-09-28 16:38 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:18:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Soulkey 2013-08-24 09:13:19 EDT
First, hi ! 
Description of problem:

I get this messages in log :

[quote] Aug 24 14:57:49 sK dbus-daemon[550]: dbus[550]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
Aug 24 14:57:49 sK dbus[550]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
Aug 24 14:57:49 sK systemd[1]: Starting Fingerprint Authentication Daemon...
Aug 24 14:57:49 sK dbus-daemon[550]: dbus[550]: [system] Successfully activated service 'net.reactivated.Fprint'
Aug 24 14:57:49 sK dbus[550]: [system] Successfully activated service 'net.reactivated.Fprint'
Aug 24 14:57:49 sK systemd[1]: Started Fingerprint Authentication Daemon.
Aug 24 14:57:49 sK fprintd[1973]: Launching FprintObject
Aug 24 14:57:49 sK fprintd[1973]: ** Message: D-Bus service launched with name: net.reactivated.Fprint
Aug 24 14:57:49 sK fprintd[1973]: ** Message: entering main loop
Aug 24 14:58:19 sK fprintd[1973]: ** Message: No devices in use, exit[/quote]

Every 4 minutes for being specific


Version-Release number of selected component (if applicable):

Fedora 19 upt-to-day


How reproducible:

the message come every 4 minutes.

Steps to Reproduce:

Install fedora..


Additional info:


*I do not have any printer in the network / computers

Getting these message also :

[Quote]
Aug 24 14:53:55 sK fprintd[1291]: ** Message: No devices in use, exit
Aug 24 14:54:14 sK systemd[1]: Started Sendmail Mail Transport Agent.
Aug 24 14:54:14 sK systemd[1]: Starting Sendmail Mail Transport Client...
Aug 24 14:54:57 sK gnome-session[1302]: Window manager warning: CurrentTime used to choose focus window; focus window may not be correct.
Aug 24 14:54:57 sK gnome-session[1302]: Window manager warning: Got a request to focus the no_focus_window with a timestamp of 0.  This shouldn't happen!
[/quote]
These message come with the other message, related i think
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-08-24 13:24:46 EDT
fprintd == finger print daemon, is used to authenticate users using a finger print reader. It normally is started for interactive authentication, but in your case it is probably being fired by something else. What else happens every four minutes -- do you have e.g. a cron job running then? Also, do you actually have a finger print reader?

Anyway, I think systemd and fprintd to be working as designed here. The question is what is causing fprintd to be started regularly.
Comment 2 Soulkey 2013-08-25 02:41:03 EDT
Aug 25 07:06:17 localhost crond[556]: (CRON) INFO (RANDOM_DELAY will be scaled with factor 65% if used.)
Aug 25 07:06:17 localhost crond[556]: (CRON) INFO (running with inotify support)
Aug 25 07:12:49 localhost crond[2712]: (CRON) INFO (RANDOM_DELAY will be scaled with factor 36% if used.)
Aug 25 07:12:49 localhost crond[2712]: (CRON) INFO (running with inotify support)
Aug 25 07:12:49 localhost crond[2712]: (CRON) INFO (@reboot jobs will be run at computer's startup.)
Aug 25 07:13:06 localhost crond[2733]: (CRON) INFO (RANDOM_DELAY will be scaled with factor 53% if used.)
Aug 25 07:13:06 localhost crond[2733]: (CRON) INFO (running with inotify support)
Aug 25 07:13:06 localhost crond[2733]: (CRON) INFO (@reboot jobs will be run at computer's startup.)
Aug 25 07:19:01 localhost crond[2733]: (*system*) RELOAD (/etc/cron.d/raid-check)
Aug 25 07:27:08 localhost crond[556]: (CRON) INFO (RANDOM_DELAY will be scaled with factor 22% if used.)
Aug 25 07:27:08 localhost crond[556]: (CRON) INFO (running with inotify support)
Aug 25 07:41:53 localhost crond[557]: (CRON) INFO (RANDOM_DELAY will be scaled with factor 37% if used.)
Aug 25 07:41:53 localhost crond[557]: (CRON) INFO (running with inotify support)
Aug 25 07:50:39 localhost crond[581]: (CRON) INFO (RANDOM_DELAY will be scaled with factor 28% if used.)
Aug 25 07:50:39 localhost crond[581]: (CRON) INFO (running with inotify support)
Aug 25 08:01:01 localhost CROND[2108]: (root) CMD (run-parts /etc/cron.hourly)
Aug 25 08:01:01 localhost run-parts(/etc/cron.hourly)[2108]: starting 0anacron
Aug 25 08:01:01 localhost anacron[2144]: Anacron started on 2013-08-25
Aug 25 08:01:01 localhost run-parts(/etc/cron.hourly)[2146]: finished 0anacron
Aug 25 08:01:01 localhost run-parts(/etc/cron.hourly)[2108]: starting mcelog.cron
Aug 25 08:01:01 localhost anacron[2144]: Will run job `cron.daily' in 35 min.
Aug 25 08:01:01 localhost anacron[2144]: Will run job `cron.weekly' in 55 min.
Aug 25 08:01:01 localhost anacron[2144]: Will run job `cron.monthly' in 75 min.
Aug 25 08:01:01 localhost anacron[2144]: Jobs will be executed sequentially
Aug 25 08:01:01 localhost run-parts(/etc/cron.hourly)[2152]: finished mcelog.cron
Aug 25 08:22:51 localhost crond[576]: (CRON) INFO (RANDOM_DELAY will be scaled with factor 71% if used.)
Aug 25 08:22:52 localhost crond[576]: (CRON) INFO (running with inotify support)
Aug 25 08:32:21 localhost crond[567]: (CRON) INFO (RANDOM_DELAY will be scaled with factor 3% if used.)
Aug 25 08:32:21 localhost crond[567]: (CRON) INFO (running with inotify support)


This is the cron log, but i didn do anything, i'am in a fresh install :/
Comment 3 Harald Hoyer 2013-08-26 02:56:16 EDT
reassigning to fprintd
Comment 4 Fedora End Of Life 2015-01-09 14:34:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Jack 2015-02-17 07:53:59 EST
Indeed, it seems that the intuitive method of disabling fprintd has zero effect.

systemctl stop fprintd
systemctl disable fprintd

Somehow, fprintd is magically restarted by dbus, with resultant system journal spam:

Feb 17 13:49:24 builder1 dbus[617]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
Feb 17 13:49:24 builder1 dbus[617]: [system] Successfully activated service 'net.reactivated.Fprint'
Feb 17 13:49:24 builder1 fprintd[2429]: Launching FprintObject
Feb 17 13:49:24 builder1 fprintd[2429]: ** Message: D-Bus service launched with name: net.reactivated.Fprint
Feb 17 13:49:24 builder1 fprintd[2429]: ** Message: entering main loop

It would be nice to have some indication of how to disable this.  

Furthermore, it hardly seems sensible to enable a fingerprint reader module by default.  The default should be disabled, since really, very few weenies rely upon fingerprint readers.
Comment 6 Jaroslav Reznik 2015-03-03 10:00:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 7 Fedora End Of Life 2016-07-19 06:18:38 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 caroline 2016-09-28 16:38:53 EDT
Hello, 

We solve this problem by commenting the lines that references the fingerprint on files /etc/pam.d/fingerprint-auth and /etc/pam.d/gdm-fingerprint.

Note You need to log in before you can comment on or make changes to this bug.